import Input from '..';
import React from 'react';
import ReactDOM from 'react-dom';
ReactDOM.render(React.createElement("div", null,
    React.createElement(Input, { showLimitHint: true, addonTextBefore: "http://", addonTextAfter: ".com", size: "large", defaultValue: "alibaba", maxLength: 5, "aria-label": "input with config of addonTextBefore and addonTextAfter" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { addonTextBefore: "http://", addonTextAfter: ".com", size: "medium", value: "alibaba", "aria-label": "input with config of addonTextBefore and addonTextAfter" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { addonTextBefore: "http://", addonTextAfter: ".com", size: "small", value: "alibaba", disabled: true, "aria-label": "input with config of addonTextBefore and addonTextAfter" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { addonTextBefore: "http://", addonTextAfter: ".com", state: "error", size: "xs", value: "alibaba", theme: 'grey', "aria-label": "input with config of addonTextBefore and addonTextAfter" }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Input, { addonTextBefore: "http://", addonTextAfter: ".com", size: "xs", value: "alibaba", theme: 'grey', disabled: true, "aria-label": "input with config of addonTextBefore and addonTextAfter" })), document.getElementById('input-demo-3'));
